/********************************************************************

Module: TiTopLevelWindow

Author: Vince Harron

Description:

Top level window class

Copyright 2006 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#ifndef _TiTopLevelWindow_h_
#define _TiTopLevelWindow_h_

#include "TiWindow.h"

class TiTopLevelWindow :
  public TiWindow
{
public:
  TiTopLevelWindow( TiApp* pApp );
  TiTopLevelWindow( TiWindow* pParent );
  virtual ~TiTopLevelWindow(void);

  virtual bool        IsTopLevel() const { return( true ); }
};

#endif // _TiTopLevelWindow_h_

